#' Mercury in Perch (Abborre) from Brunnsjon
#'
#' Data for problem 5.5
#' @format A vector of Hg measurements on 44 Perch, in mg/kg muscle
#'     tissue.
"Abborre"

#' Aluminium levels in a lake
#'
#' Data for problem 6.17
#' @format A data frame with:
#' \describe{
#'   \item{alaug}{Levels in August.}
#'   \item{aljuli}{Levels in July.}
#' }
"Alhalt"

#' Aluminium levels in drinking water.
#'
#' Data for problems 5.10 and 8.7
#' @format A vector with Aluminium levels, in ppb.
"Aluminium"
#' @rdname Aluminium
"Aluminium2"

#' Discharge of Iron into a river.
#'
#' Data for problem 6.9
#' @format A data frame with:
#' \describe{
#'   \item{meter}{Distance from source, in m.}
#'   \item{Fe}{Levels of Iron, in mg/l}
#' }
"Avlopp"

#' Discharge of Copper into a river.
#'
#' Data for problem 5.51
#'
#' @format A list with:
#' \describe{
#'   \item{uppfore}{Copper levels upstream of the discharge, in ug/l}
#'   \item{nedfore}{Copper levels downstream of the discharge, in ug/l}
#'   \item{nedefter}{Copper levels downstream of the discharge after a change in
#'     the waste management process, in ug/l}
#' }
"Avloppsvatten"

#' Blod pressure and age for 20 women.
#'
#' Data for problem 6.10
#'
#' @format A data frame with:
#' \describe{
#'   \item{alder}{Age, years}
#'   \item{tryck}{Pressure, mmHg}
#' }
"Blodtryck"


#' Biochemical oxygen demand (BOD)
#'
#' Data for problem 8.1
#'
#' @format A vector of BOD measurements.
"BOD"

#' Length and weight of Pike (Gädda) from Bolmen
#'
#' Data for problem 6.21
#'
#' @format A data frame with:
#' \describe{
#'   \item{Langd}{Length of each fish in cm}
#'   \item{Vikt}{Weight of each fish, in g}
#' }
"BolmenGadda"

#' Concentration and absorption for test on BSA
#'
#' Data for problem 6.7
#'
#' @format A data frame with:
#' \describe{
#'   \item{konc}{Concentration of BSA, in mg/l}
#'   \item{absorbans}{Absorption}
#' }
"Bradford"

#' Water level in two wells
#'
#' Data for problem 9.9
#'
#' @format A data frame with:
#' \describe{
#'   \item{ar}{Year}
#'   \item{grannensbrunn}{Neighbouring well}
#'   \item{varbrunn}{Our well (possibly affected by the factory)}
#' }
"Brunnar"

#' Usage of public transport (bus)
#'
#' Data for problem 6.25
#' @format A data frame with:
#' \describe{
#'   \item{ink}{Average income in the area, in 10 000kr}
#'   \item{avst}{Distance from bus stop to city center}
#'   \item{bil}{Car ownership in the area}
#'   \item{restid}{Travell time from bus stop to city center}
#'   \item{resandel}{Percentage of population in the area using the bus stop.}
#' }
"Buss"

#' Photometric determination of Cyanid concentrations.
#'
#' Data for problem 6.23
#' @format A data frame with:
#' \describe{
#'   \item{conc}{Concentration, in ug/l}
#'   \item{abs}{Absorption}
#' }
"Cyanid"

#' Radioactivity in water supply
#'
#' Data for problem 5.19
#' @format A vector with values for 10 samples, in picocurie/l.
"Dricksvatten"

#' Power usage in a building
#'
#' Data for problem 6.3
#' @format A data frame with:
#' \describe{
#'   \item{effektbehov}{Weekly power usage, in W/m2}
#'   \item{utetemp}{Outdoor temperature, in C}
#' }
"Effektsignatur"

#' Speed of cars on S.Esplanaden i Lund
#'
#' Data for problems 1.9 and 3.143
#' @format A data frame with:
#' \describe{
#'   \item{hastfore}{Speed before change, in km/h}
#'   \item{hastefter}{Speed after change, in km/h}
#' }
"Esplanaden"

#' Examples of data from factorial trials
#'
#' Data for problems 7.7 and 7.8
#' @format A list with:
#' \describe{
#'   \item{Y1}{3 observations from a 2^2 factor trial}
#'   \item{Y2}{3 observations from a 2^2 factor trial}
#'   \item{Y3}{3 observations from a 2^2 factor trial}
#'   \item{bak}{3 observations from a 2^2 factor trial}
#' }
"FaktorData"

#' Annual flow maxima in Lulea alv
#'
#' Data for problem 9.4
#' @format A vector of annual maxima, in m3/s.
"Floden"

#' Breaking strength measurements on sheet glass.
#' 
#' Data for problem 9.6
#' @format A vector of breaking strength, in MPa.
"Glas"

#' Mercury in fish in various Swedish lakes.
#'
#' Data for problem 9.8
#' @format A vector with Mercury content, in mg/kg muscle tissue.
"Hg_Baven"
#' @rdname Hg_Baven
"Hg_Florsjon"
#' @rdname Hg_Baven
"Hg_Gardsjon"
#' @rdname Hg_Baven
"Hg_Langen"
#' @rdname Hg_Baven
"Hg_Marmen"
#' @rdname Hg_Baven
"Hg_Millesvik"
#' @rdname Hg_Baven
"Hg_Sorsjon"
#' @rdname Hg_Baven
"Hg_Vastersjon"

#' Difference in determination of altitidue when surveying
#'
#' Data for problem 3.158
#' @format A data frame with:
#' \describe{
#'   \item{avstand}{Difference in altitude for the two methods, in m}
#'   \item{skillnad}{Distance to the point, in km}
#' }
"Hojdmatning"

#' Hornblende measured at four different locations in a quarry.
#' 
#' Data for problem 4.16
#' @format A list with:
#' \describe{
#'   \item{lokal1}{Hornblende at location 1}
#'   \item{lokal2}{Hornblende at location 2}
#'   \item{lokal3}{Hornblende at location 3}
#'   \item{lokal4}{Hornblende at location 4}
#' }
"Hornblande"

#' Particulate matter on Hornsgatan
#'
#' Data for problems 1.10 and 3.144
#' @format A list with:
#' \describe{
#'   \item{PM25.2008}{PM 2.5 levels during winter of 2008/09, in ug/m3}
#'   \item{PM25.2010}{PM 2.5 levels during winter of 2010/11, in ug/m3}
#' }
"Hornsgatan"

#' What affects maximum heart rate (HR)
#'
#' Data for problem 9.12
#' @format A data frame with:
#' \describe{
#'   \item{HRmax}{Observed max HR for subject}
#'   \item{age}{Age of subject}
#'   \item{female}{Gender of subject, 0=male / 1=female}
#'   \item{BMI}{BMI of subject}
#'   \item{active}{Is subject physically active (1=more than 150 minutes
#'     exercise/week)}
#'   \item{smoker}{Does subject smoke}
#' }
"HRmax"

#' Housing prices for 122 house in Lund
#'
#' Data for problem 9.15
#' @format A data frame with:
#' \describe{
#' \item{BY}{Living area, in m2}
#' \item{HA}{Age of house, in years}
#' \item{P}{Sales price, in tkr}
#' \item{SP}{Standard points (living quality)}
#' \item{T}{Taxation value, in tkr}
#' \item{tid}{Time of sale, in days since 1995-01-01}
#' }
"Huspriser"

#' Frequency of earthquakes
#'
#' Data for problem 3.138
#' @format A vector with days between global earthquakes.
"Jordbavning"

#' Metal content in soil samples from Asa
#'
#' Data for problem 3.136
#' @format A data frame with:
#' \describe{
#'   \item{al}{Aluminium levels, in ug/g}
#'   \item{ca}{Calcium levels, in ug/g}
#' }
"Jordprov"

#' Indoor emission of NOx from chimney free stoves.
#' 
#' Data for problem 5.3
#' @format A vector with NOx-levels for 15 stoves, in mg/m3.
"Kamin"
 
#' Levels of chlorophyll-A and phosphorus in 25 lakes
#' 
#' Data for problem 6.30
#' @format A data frame with:
#' \describe{
#'   \item{klorofylla}{Chlorophyll}
#'   \item{p}{Phosphorus}
#' }
"Klorofyll"

#' Effect of exercise to reduce cholesterol
#'
#' Data for problem 9.10
#' @format A data frame with:
#' \describe{
#'   \item{Afore}{Cholesterol levels i group A, before the programm}
#'   \item{Aefter}{Cholesterol levels i group A, after the programm}
#'   \item{Bfore}{Cholesterol levels i group B, before the programm}
#'   \item{Befter}{Cholesterol levels i group B, after the programm}
#' }
"Kolesterol"

#' Durability of ball bearings  from a prospective supplier
#'
#' Data for problem 9.1
#' @format A vector of with the number of cycles (millions) before failure for
#'     25 ball bearings.
"Kullagertest"

#' Time between orders of spare parts
#'
#' Data for problem 9.2
#' @format A vector with the time between orders in days.
"Lager"

#' Effect of railway station on housing prices in Landskrona.
#'
#' Data for problem 9.14
#' @format A list with:
#' \describe{
#'   \item{tidout}{Months since moving the station for sales in prisout}
#'   \item{prisout}{Sales price per m2 between 1000 and 2000m from the city
#'     center}
#'   \item{priscenter}{Sales price per m2 within 500m of the city center}
#'   \item{tidcenter}{Months since moving the station for sales in priscenter}
#' }
"Landskrona"

#' Dependece between age and size for lichen
#'
#' Data for problem 6.28
#' @format A data frame with:
#' \describe{
#'   \item{alder}{Age of gravestones, in years}
#'   \item{diameter}{Diameter, in cm}
#' }
"Lavar"

#' Monthly measurements on silica and phosphorus in Ljungbyan
#'
#' Data for problem 6.37
#' @format A data frame with:
#' \describe{
#'   \item{si}{Silica levels, in ug/l}
#'   \item{p}{Phosphorus levels, in ug/l}
#' }
"Ljungby"

#' Concentration of soot in air by origin of air mass.
#' 
#' Data for problem 5.53
#' @format A list with:
#' \describe{
#'   \item{Asot}{Soot levels in Atlantic air, in ng/m3}
#'   \item{Usot}{Soot levels in air from Ukraine, in ng/m3}
#' }
"Luftdata"

#' Daily average temperature for Lund during 6 years
#'
#' Data for problem 8.3
#' @format A vector with daily temperature averages
"LundDaglTemp"


#' Water quality in the Mbuluzi river at Maphiveni in Swaziland.
#'
#' Data for problem 6.29
#' @format A data frame with:
#' \describe{
#'   \item{manad}{Month since start of observations, 1=January 1987}
#'   \item{fosfat}{Phosphorus levels, in mg/l}
#' }
"Maphiveni"

#' Annual average atmospheric CO2-levels at MaunaLoa
#' 
#' Data for problem 8.4
#' @format A data frame with:
#' \describe{
#'   \item{co2}{Annual average CO2-levels, in ppm}
#'   \item{ar}{Year}
#' }
"MaunaLoa"

#' Top speeds on public roads for 124 Swedish youths.
#'  
#' Data for problem 5.18
#' @format A vector with self reported top speeds, in km/h
"Maxhastighet"

#' Age dependence in maximum heart rate (HR) for 419 women.
#'  
#' Data for problem 6.27
#' @format A data frame with:
#' \describe{
#'   \item{x1}{Age of each participant, in years}
#'   \item{x2}{Indicator for smoking, 1=smoker / 0=non-smoker}
#'   \item{y}{Observed max HR}
#' }
"Maxpuls"

#' Water quality at two points in the Mbuluzi river.
#'
#' Data for problem 5.43
#' @format A data frame with:
#' \describe{
#'   \item{mnjoli}{Phosphorus levels at Mnjoli in Swaziland (upstream),
#'     in mg/l}
#'   \item{maphiveni}{Phosphorus levels at Maphiveni in Swaziland (downstream),
#'     in mg/l}
#'   \item{manad}{Month since start of observations, 1=January 1987}
#' }
"Mbuluzi"

#' Effect of new medicin on cholesterol
#'
#' Data for problem 6.32
#' @format A data frame with:
#' \describe{
#'   \item{Aalder}{Age of patients in group A}
#'   \item{Balder}{Age of patients in group B}
#'   \item{yA}{Change in cholesterol levels for group A}
#'   \item{yB}{Change in cholesterol levels for group B}
#' }
"Medicin"

#' Iron levels in moss at 51 locations in Skane
#'
#' Data for problem 5.21
#' @format A vector with iron levels at the 51 locations, in mg/kg
"Mossa"

#' Lead in moss from Swedish regions (landskap)
#'
#' Data for problem 9.16
#' @format A data frame with:
#' \describe{
#'   \item{year}{Which year are the observations from}
#'   \item{Pb}{Lead content, in mk/kg dry weight}
#' }
"Mossa_Pb_Jamtland"
#' @rdname Mossa_Pb_Jamtland
"Mossa_Pb_Norrbotten"
#' @rdname Mossa_Pb_Jamtland
"Mossa_Pb_Orebro"
#' @rdname Mossa_Pb_Jamtland
"Mossa_Pb_Vasternorrland"
#' @rdname Mossa_Pb_Jamtland
"Mossa_Pb_VastraGotaland"

#' Emissions of NOx from a gas-fired boiler
#'
#' Data for problem 9.11
#' @format A data frame with:
#' \describe{
#'   \item{nox}{NOx-levels behind the house, in ppm}
#'   \item{nox3}{NOx-levels next to the house, in ppm}
#'   \item{vind}{Vind direction, in degrees (0=North, 180=South)}
#' }
"Noxdata"

#' Average hourly ozone levels during 2 days in a Swedish city
#'
#' Data for problem 8.9
#' @format A data frame with:
#' \describe{
#'   \item{ozon}{Hourly ozone levels, in ug/m3}
#'   \item{residual}{Residuals from fitting a linear trend to the data in ozon}
#' }
"Ozonhalt"

#' Chemical cleaning of coal.
#'
#' Data for problem 6.33
#' @format A data frame with:
#' \describe{
#'   \item{pHA}{pH-level of the process for polymer A}
#'   \item{yA}{Removed impurities using polymer A}
#'   \item{pHB}{pH-level of the process for polymer B}
#'   \item{yB}{Removed impurities using polymer B}
#' }
"Polymer"

#' Times needed to analys tests at a healthcare chemistry lab.
#'
#' Data for problem 9.7
#' @format A list with:
#' \describe{
#'   \item{tidem}{Response times for morning tests, in minutes}
#'   \item{tidfm}{Response times for afternoon tests, in minutes}
#' }
"Provtagning"

#' Fractions of particles of different size
#'
#' Data for problem 3.102
#' @format A data frame with:
#' \describe{
#'   \item{procent}{Fraction of particles of certain size.}
#'   \item{storlek}{Size, in micro-meters.}
#' }
"Pstorlek"

#' Commute times for people wiht higher education
#'
#' Data for problem 9.3
#' @format A list with:
#' \describe{
#'   \item{univ.man}{Daily commute for men, in minutes}
#'   \item{univ.kvinna}{Daily commute for women, in minutes}
#' }
"Restider"

#' Counts of alpha emissions
#'
#' Data for problem 3.33
#' @format A data frame with:
#' \describe{
#'   \item{antalpartiklar}{Number of particles}
#'   \item{antalintervall}{Number of intervalls with the corresponding particle
#'     count}
#' }
"Rutherford"

#' Levels of Phosphorus in two lakes
#'
#' Data for problem 1.1
#' @format A list with:
#' \describe{
#'   \item{sjo1}{Levels of Phosphorus in lake 1, in ug/l}
#'   \item{sjo2}{Levels of Phosphorus in lake 2, in ug/l}
#' }
"Sjodata"

#' Annual max snow depth for Umea
#' 
#' Data for problem 9.5
#' @format A data frame with:
#' \describe{
#'   \item{ar}{Year}
#'   \item{maxdjup}{Annual maxima snow depth, in cm}
#' }
"Snodjup"

#' Chloride levels in a waste pool at Spillepengen
#'
#' Data for problem 6.14
#' @format A vector with chloride levels, in g/l
"Spillepengen"

#' Pcb levels in birds using two different methods.
#'
#' Data for problem 6.36
#' @format A data frame with:
#' \describe{
#'   \item{pcbny}{pcb-levels using the new method. in mg/kg}
#'   \item{pcbgammal}{pcb-levels using the old method. in mg/kg}
#' }
"Stare87"

#' Pcb levels in birds around Krankesjon.
#' 
#' Data for problem 3.141
#' @format A vector with pcb-levels (mg/kg) in 120 birds.
"Stare"

#' Flow maxima in Umeaalv observed at Stornorrfors.
#'
#' Data for problem 8.2
#' @format A list with:
#' \describe{
#'   \item{arsmax}{Annual flow maxima, m3/s}
#'   \item{dygnsmax}{Daily flow maxima, m3/s}
#' }
"Stornorrfors"

#' Max snow depth and length of snow cover for Umea
#'
#' Data for problem 6.38
#' @format A data frame with:
#' \describe{
#'   \item{maxdjup}{Annual maxima snow depth, in cm}
#'   \item{dagar}{Days with snow cover during the winter}
#' }
"Umeasno"

#' Weekly power usage for two houses in Malmo
#'
#' Data for problem 9.13
#' @format A data frame with:
#' \describe{
#'   \item{husA}{Weekly power usage house A, in W/m2}
#'   \item{husB}{Weekly power usage house B, in W/m2}
#'   \item{temp}{Outdoor temperature, in C}
#'   \item{veckonr}{Week of year, 1 to 52}
#' }
"Varmebehov"

#' Flow rate of hot water in an apartment block.
#'
#' Data for problems 1.7 and 3.137
#' @format A data frame with:
#' \describe{
#'   \item{flode}{Flowrate, in l/s}
#'   \item{tid}{Time, in hours since midnight}
#' }
"Vatten"

#' Measurements of annual sulfur dioxide at Vavihill 1988 to 2002
#'
#' Data for problem 6.20
#' @format A data frame with:
#' \describe{
#'   \item{arvavi}{Year}
#'   \item{so2vavi}{Annual average of Sulfur dioxide (SO2), in ug/m3}
#' }
"Vavihill"

#' Effect of carbohydrates on Volatile fatty acids (VFAs) 
#'
#' Data for problem 6.39
#' @format A data frame with:
#' \describe{
#'   \item{vfalin}{VFA from flax (lin), in mmol/100g}
#'   \item{phlin}{pH from flax}
#'   \item{vfaart}{VFA from peas, in mmol/100g}
#'   \item{phart}{pH from peas}
#' }
"VFA"

#' Annual flow maxima at two locations in Vindelalven
#'
#' Data for problem 9.17
#' @format A data frame with:
#' \describe{
#'   \item{granaker}{Annual maxima at Granaker, in m3/s}
#'   \item{sorsele}{Annual maxima at Sorsele, in m3/s}
#' }
"Vindelalven"

#' Power production at two wind turbines.
#'
#' Data for problem 5.36
#' @format A data frame with:
#' \describe{
#'   \item{month}{Month of production}
#'   \item{syd}{Power production at the southern location, in kWh}
#'   \item{mitt}{Power production at the central  location, in kWh}
#' }
"Vindkraft"
