% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/funktioner.R
\name{Pvarde}
\alias{Pvarde}
\title{Illustrerar direktmetoden vid test av mu i N(mu,sigma)}
\usage{
Pvarde(sigma, n, mu0, alfa, riktning = c("<", ">", "!="), medel)
}
\arguments{
\item{n}{Antal observationer.}

\item{mu0, sigma}{Parametrar i normalfordelningen under H0.}

\item{alfa}{Signifikansniva for testet}

\item{riktning}{Vilken mothypotes att använda. H0: mu=mu0 mot
\describe{
  \item{'<'}{H1: mu < mu0}
  \item{'>'}{H1: mu > mu0}
  \item{'!='}{H1: mu != mu0}
}}

\item{medel}{Observerat medelvarde av stickprovet.}
}
\value{
Ingenting
}
\description{
Illustrerar direktmetoden och jamfor med kritiskt omrade for hypotestest av
mu under antagande om n observationer fran en normalfordelning, N(mu_0,
sigma).
}
\examples{
Pvarde(2, 15, 5, .05, '<', 4)

x <- rnorm(mean=5, sd=2, n=15)
Pvarde(2, length(x), 5, .05, '<', mean(x))
}
