% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/funktioner.R
\name{faktorForsok}
\alias{faktorForsok}
\title{Genomfor och illustrerar 2^2 och 2^3 faktorforsok.}
\usage{
faktorForsok(Y, alfa = 0.05, silent = FALSE, illustrate = TRUE)
}
\arguments{
\item{Y}{En matris med observationer dar kolonnerna ar observationer for de
olika faktorerna i standardordning. (1),(a),(b),(ab) for ett 2^2-forsok. For
ett 2^3-forsok är ordningen (1),(a),(b),(ab),(c),(ac),(bc),(abc).}

\item{alfa}{Signifikansniva for testet}

\item{silent}{Ska resultaten skrivas ut?}

\item{illustrate}{Ska effekterna illustrera (endast for 2^2 forsok)}
}
\value{
En list med element:
\describe{
  \item{mu}{Medelvarden for var och och en av faktorkombinationerna.}
  \item{s2}{Motsvarande variansskattningar.}
  \item{effekt}{Skattade effekter.}
  \item{effektint}{Motsvarande konfidensintervall.}
  \item{s2p}{Poolad variansskattning}
  \item{f}{Antal frihetsgrader}
}
}
\description{
Skattar effekter och konfidensintervall i 2^2 och 2^3 faktorforsok med n>=2
replikat. For k=2 illustreras aven effekterna.
}
\examples{
##Simulera data (2^2 forsok, 3 replikat)
Y <- matrix(rnorm(12),3,4)
##Genomfor forsoket
faktorForsok(Y)
}
