% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/funktioner.R
\name{histfit}
\alias{histfit}
\title{Histrogram med anpassad tathetsfunktion}
\usage{
histfit(x, dist = c("normal", "cauchy", "exponential", "gamma", "geometric",
  "gumbel", "gev", "lognormal", "logistic", "negative binomial", "Poisson",
  "weibull"), ...)
}
\arguments{
\item{x}{En vektor med data.}

\item{dist}{Vilken fordelning som ska anpassas. Se \link[MASS:fitdistr]{fitdistr}.}

\item{...}{Ytterligare parametrar till \link[graphics:hist]{hist}. De viktigaste ar:
\describe{
  \item{breaks}{Antalet staplar i histogramet}
  \item{main}{Text till titel}
  \item{xlab,ylab}{Text till x- och y-axlar}
  \item{freq}{Rita histogramet i frekvens eller sannolikhet}
}}
}
\value{
De skattade parametrarna (se \link[MASS:fitdistr]{fitdistr}).
}
\description{
Histrogram med anpassad tathetsfunktion
}
\examples{
par(mfrow=c(2,2))
x <- rnorm(100,10,2)
print( histfit(x) )

histfit(x, freq=TRUE, breaks=25)
histfit(x[x>0], 'gamma')

x <- rgamma(100, 2, 2)
print( histfit(x, 'gamma') )
}
