% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/regGUI.R
\name{reggui}
\alias{reggui}
\title{Grafic user interface illustrating linear and polynomial regression}
\usage{
reggui(x, y)
}
\arguments{
\item{x}{Vector of explanatory variables.}

\item{y}{Vector of dependent variables.}
}
\value{
Nothing
}
\description{
Grafic user interface for linear and polynomial regression. Plots the fitted
regression line, residuals and normplot for residuals. Prediction intervalls
and values can be obtained by clicking in the figure. Regression line is blue
if all parameters are significant, red otherwise. For simple linear
regression calibration regions are also given; these are based on graphical
inversion of the corresponding prediction intervalls.
}
\examples{
## Only run these examples in interactive R sessions
if( interactive() ){
  x <- runif(10)
  y <- 1 + 0.5*x + 0.1*rnorm(10)
  reggui(x,y)
}
}
