% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidsserieGUI.R
\name{tidsseriegui}
\alias{tidsseriegui}
\title{Grafic interface illustrating the effect of correlated residuals on regression}
\usage{
tidsseriegui()
}
\value{
Nothing
}
\description{
Grafic user interface for illustrating how correlated residuals, following an
AR(1)-process, affects confidence intervalls and coverage when estimating
beta1 and beta2 in linear regression under assumptions of i.i.d. residuals.
}
\details{
The function illustrates how the estimates behave if data from
\deqn{y_i = \beta_0 + \beta_1 \cdot x_i + e_i,\qquad e_i \sim AR(1)}{y_i = beta0 + beta1 * x_i + e_i,    e_i ~ AR(1)}
is analysed using the "standard" model
\deqn{y_i = \beta_0 + \beta_1 \cdot x_i + e_i,\qquad e_i \sim N(0,1)\text{ and i.i.d.}}{y_i = beta0 + beta1 * x_i + e_i,   e_i ~ N(0,1) and i.i.d.}
}
\examples{
## Only run these examples in interactive R sessions
if( interactive() ){
  tidsseriegui()
}
}
